#
#

.first
        set def [.X11]
        $(mms)
        set def [-]

CC=cc

CFLAGS = /INCLUDE=([],[-],[-.-.include], [-.EVENTS],[.X11], X11:) /DEFINE=(ENABLE_X11=1) /DEB /FLOAT=IEEE /OPTIMIZE=(INLINE=SPEED)

OBJ_X11 = [.x11]sdl_x11dga.obj,\
[.x11]sdl_x11events.obj,\
[.x11]sdl_x11gamma.obj,\
[.x11]sdl_x11gl.obj,\
[.x11]sdl_x11image.obj,\
[.x11]sdl_x11modes.obj,\
[.x11]sdl_x11mouse.obj,\
[.x11]sdl_x11video.obj,\
[.x11]sdl_x11wm.obj,\
[.x11]sdl_x11yuv.obj


OBJ = sdl_blit.obj,\
sdl_blit_0.obj,\
sdl_blit_1.obj,\
sdl_blit_a.obj,\
sdl_blit_n.obj,\
sdl_bmp.obj,\
sdl_cursor.obj,\
sdl_gamma.obj,\
sdl_pixels.obj,\
sdl_rleaccel.obj,\
sdl_stretch.obj,\
sdl_surface.obj,\
sdl_video.obj,\
sdl_yuv.obj,\
sdl_yuv_sw.obj



ALL : libvideo.olb
        cop libvideo.olb [-]

libvideo.olb : $(OBJ)
        lib/crea libvideo.olb $(OBJ)
        lib/ins  libvideo.olb $(OBJ_X11)

sdl_blit.obj : sdl_blit.c
         $(CC) $(CFLAGS) $(MMS$SOURCE) /OBJ=$(MMS$TARGET)

sdl_blit_0.obj : sdl_blit_0.c
         $(CC) $(CFLAGS) $(MMS$SOURCE) /OBJ=$(MMS$TARGET)

sdl_blit_1.obj : sdl_blit_1.c
         $(CC) $(CFLAGS) $(MMS$SOURCE) /OBJ=$(MMS$TARGET)

sdl_blit_a.obj : sdl_blit_a.c
         $(CC) $(CFLAGS) $(MMS$SOURCE) /OBJ=$(MMS$TARGET)

sdl_blit_n.obj : sdl_blit_n.c
         $(CC) $(CFLAGS) $(MMS$SOURCE) /OBJ=$(MMS$TARGET)

sdl_bmp.obj : sdl_bmp.c
         $(CC) $(CFLAGS) $(MMS$SOURCE) /OBJ=$(MMS$TARGET)

sdl_cursor.obj : sdl_cursor.c
         $(CC) $(CFLAGS) $(MMS$SOURCE) /OBJ=$(MMS$TARGET)

sdl_gamma.obj : sdl_gamma.c
         $(CC) $(CFLAGS) $(MMS$SOURCE) /OBJ=$(MMS$TARGET)

sdl_pixels.obj : sdl_pixels.c
         $(CC) $(CFLAGS) $(MMS$SOURCE) /OBJ=$(MMS$TARGET)

sdl_rleaccel.obj : sdl_rleaccel.c
         $(CC) $(CFLAGS) $(MMS$SOURCE) /OBJ=$(MMS$TARGET)

sdl_stretch.obj : sdl_stretch.c
         $(CC) $(CFLAGS) $(MMS$SOURCE) /OBJ=$(MMS$TARGET)

sdl_surface.obj : sdl_surface.c
         $(CC) $(CFLAGS) $(MMS$SOURCE) /OBJ=$(MMS$TARGET)

sdl_video.obj : sdl_video.c
         $(CC) $(CFLAGS) $(MMS$SOURCE) /OBJ=$(MMS$TARGET)

sdl_yuv.obj : sdl_yuv.c
         $(CC) $(CFLAGS) $(MMS$SOURCE) /OBJ=$(MMS$TARGET)

sdl_yuv_mmx.obj : sdl_yuv_mmx.c
         $(CC) $(CFLAGS) $(MMS$SOURCE) /OBJ=$(MMS$TARGET)

sdl_yuv_sw.obj : sdl_yuv_sw.c
         $(CC) $(CFLAGS) $(MMS$SOURCE) /OBJ=$(MMS$TARGET)

clean :
        del [...]*.obj;*
        del [...]*.olb;*
